"use strict";
/*!
 * Copyright (c) 2021 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *  Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchXML = exports.filterHTML = void 0;
// @todo: consider replacing jquery with a native solution
const jquery_1 = __importDefault(require("jquery"));
require("core-js/modules/es.string.pad-start");
const filterHTML = (html) => {
    const txt = document.createElement('div');
    txt.innerHTML = html;
    return txt.textContent;
};
exports.filterHTML = filterHTML;
const fetchXML = (url) => {
    return new Promise(function (resolve, reject) {
        jquery_1.default.ajax({
            type: 'GET',
            dataType: 'xml',
            async: true,
            url: url,
        })
            .done(function (data) {
            resolve(data);
        })
            .fail(function () {
            reject();
        });
    });
};
exports.fetchXML = fetchXML;
