"use strict";
/*!
 * Copyright (c) 2021 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Eric Poirier <eric.poirier@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jquery_1 = __importStar(require("jquery"));
const parse_link_header_1 = __importDefault(require("parse-link-header"));
const utils_1 = require("../utils/utils");
require("isomorphic-fetch");
const getNewsData = (url, news = []) => {
    if ((0, utils_1.validateURL)(url)) {
        return new Promise((resolve, reject) => fetch(url)
            .then((response) => {
            if (response.status !== 200) {
                throw `${response.status}: ${response.statusText}`;
            }
            response
                .json()
                .then((data) => {
                var _a;
                news = news.concat(data.news);
                const linkHeader = (0, parse_link_header_1.default)(response.headers.get('Link'));
                if ((linkHeader === null || linkHeader === void 0 ? void 0 : linkHeader.next) && typeof ((_a = linkHeader.next) === null || _a === void 0 ? void 0 : _a.url) === 'string') {
                    getNewsData(linkHeader.next.url, news).then(resolve).catch(reject);
                }
                else {
                    news.sort((a, b) => a.title.localeCompare(b.title));
                    resolve(news);
                }
            })
                .catch(reject);
        })
            .catch((err) => {
            reject(err);
        }));
    }
};
exports.default = getNewsData;
