"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils/utils");
require("isomorphic-fetch");
const getParticipatingOrganizations = (url) => {
    if ((0, utils_1.validateURL)(url)) {
        return new Promise((resolve, reject) => fetch(url)
            .then((response) => {
            if (response.status !== 200) {
                throw `${response.status}: ${response.statusText}`;
            }
            response
                .json()
                .then((data) => {
                const orgs = data
                    .map(org => (Object.assign(Object.assign({}, org), { version: 'none' })))
                    .sort((a, b) => a.name.localeCompare(b.name));
                resolve(orgs);
            })
                .catch(reject);
        })
            .catch((err) => {
            reject(err);
        }));
    }
};
exports.default = getParticipatingOrganizations;
