"use strict";
/*
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
const msw_1 = require("msw");
const mock_data_1 = require("./mock-data");
const apiUrls = {
    mediaLink: 'https://api.eclipse.org/media',
};
const handlers = [
    msw_1.rest.get(`${apiUrls.mediaLink}/youtube/playlists/:playlistId`, (req, res, ctx) => {
        const playlist = mock_data_1.mockPlaylists.find(p => p.id === req.params.playlistId);
        return res(ctx.status(200), ctx.json(playlist));
    }),
    msw_1.rest.get(`${apiUrls.mediaLink}/youtube/playlists`, (req, res, ctx) => {
        const channel = req.url.searchParams.get('channel');
        const channelNameMap = {
            'eclipsefdn': 'Eclipse Foundation'
        };
        const playlists = mock_data_1.mockPlaylists.filter(p => p.snippet.channel_title === channelNameMap[channel]);
        return res(ctx.status(200), ctx.json(playlists));
    })
];
exports.default = handlers;
