"use strict";
/*
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.mockProposals = exports.mockProposalsCategorizedByIndustryCollaboration = exports.mockProjectsCategorizedByIndustryCollaboration = void 0;
exports.mockProjectsCategorizedByIndustryCollaboration = {
    'jakarta-ee': [
        {
            "project_id": "ee4j.authentication",
            "short_project_id": "authentication",
            "name": "Jakarta Authentication™",
            "summary": "The Java Authentication Service Provider Interface for Containers (JASPIC) defines a service provider interface (SPI) by which authentication providers that implement message authentication...",
            "url": "https://projects.eclipse.org/projects/ee4j.authentication",
            "website_url": "https://jakartaee.github.io/authentication/",
            "website_repo": [],
            "logo": "https://projects.eclipse.org/sites/default/files/36201228_11.png",
            "tags": [],
            "github_repos": [
                {
                    "url": "https://github.com/jakartaee/authentication"
                }
            ],
            "github": {
                "org": "",
                "ignored_repos": []
            },
            "gitlab_repos": [],
            "gitlab": {
                "project_group": "",
                "ignored_sub_groups": []
            },
            "gerrit_repos": [],
            "contributors": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "committers": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "project_leads": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "working_groups": [
                {
                    "name": "Jakarta EE",
                    "id": "jakarta-ee"
                }
            ],
            "industry_collaborations": [
                {
                    "name": "Jakarta EE",
                    "id": "jakarta-ee"
                }
            ],
            "spec_project_working_group": {
                "name": "Jakarta EE",
                "id": "jakarta-ee"
            },
            "state": "Regular",
            "releases": [
                {
                    "name": "3.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.authentication/releases/3.0"
                },
                {
                    "name": "2.0.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.authentication/releases/2.0.0"
                },
                {
                    "name": "1.1.3",
                    "url": "https://projects.eclipse.org/projects/ee4j.jaspic/releases/1.1.3"
                },
                {
                    "name": "1.1.2",
                    "url": "https://projects.eclipse.org/projects/ee4j.jaspic/releases/1.1.2"
                }
            ],
            "top_level_project": "ee4j",
            "slsa_level": ""
        },
        {
            "project_id": "ee4j.authorization",
            "short_project_id": "authorization",
            "name": "Jakarta Authorization™",
            "summary": "Jakarta Authorization™ defines a low-level SPI for authorization modules, which are repositories of permissions facilitating subject based security by determining whether a given subject has a...",
            "url": "https://projects.eclipse.org/projects/ee4j.authorization",
            "website_url": "https://jakartaee.github.io/authorization/",
            "website_repo": [],
            "logo": "https://projects.eclipse.org/sites/default/files/36201228_9.png",
            "tags": [],
            "github_repos": [
                {
                    "url": "https://github.com/jakartaee/authorization"
                }
            ],
            "github": {
                "org": "",
                "ignored_repos": []
            },
            "gitlab_repos": [],
            "gitlab": {
                "project_group": "",
                "ignored_sub_groups": []
            },
            "gerrit_repos": [],
            "contributors": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "committers": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "project_leads": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "working_groups": [
                {
                    "name": "Jakarta EE",
                    "id": "jakarta-ee"
                }
            ],
            "industry_collaborations": [
                {
                    "name": "Jakarta EE",
                    "id": "jakarta-ee"
                }
            ],
            "spec_project_working_group": {
                "name": "Jakarta EE",
                "id": "jakarta-ee"
            },
            "state": "Regular",
            "releases": [
                {
                    "name": "3.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.authorization/releases/3.0"
                },
                {
                    "name": "2.1",
                    "url": "https://projects.eclipse.org/projects/ee4j.authorization/releases/2.1"
                },
                {
                    "name": "2.0.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.jacc/releases/2.0.0"
                },
                {
                    "name": "1.6.2",
                    "url": "https://projects.eclipse.org/projects/ee4j.jacc/releases/1.6.2"
                },
                {
                    "name": "1.6.1",
                    "url": "https://projects.eclipse.org/projects/ee4j.jacc/releases/1.6.1"
                }
            ],
            "top_level_project": "ee4j",
            "slsa_level": ""
        },
        {
            "project_id": "ee4j.batch",
            "short_project_id": "batch",
            "name": "Jakarta Batch™",
            "summary": "The Jakarta Batch™ project describes the XML-based job specification language (JSL), Java programming model, and runtime environment for batch applications for the Java platform. The specification...",
            "url": "https://projects.eclipse.org/projects/ee4j.batch",
            "website_url": "",
            "website_repo": [],
            "logo": "https://projects.eclipse.org/sites/default/files/36201228_2.png",
            "tags": [],
            "github_repos": [
                {
                    "url": "https://github.com/eclipse-ee4j/batch-api"
                },
                {
                    "url": "https://github.com/eclipse-ee4j/batch-tck"
                }
            ],
            "github": {
                "org": "",
                "ignored_repos": []
            },
            "gitlab_repos": [],
            "gitlab": {
                "project_group": "",
                "ignored_sub_groups": []
            },
            "gerrit_repos": [],
            "contributors": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "committers": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "project_leads": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "working_groups": [
                {
                    "name": "Jakarta EE",
                    "id": "jakarta-ee"
                }
            ],
            "industry_collaborations": [
                {
                    "name": "Jakarta EE",
                    "id": "jakarta-ee"
                }
            ],
            "spec_project_working_group": {
                "name": "Jakarta EE",
                "id": "jakarta-ee"
            },
            "state": "Regular",
            "releases": [
                {
                    "name": "2.1.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.batch/releases/2.1.0"
                },
                {
                    "name": "2.0.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.batch/releases/2.0.0"
                },
                {
                    "name": "1.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.batch/releases/1.0"
                }
            ],
            "top_level_project": "ee4j",
            "slsa_level": ""
        },
        {
            "project_id": "ee4j.jaxb",
            "short_project_id": "jaxb",
            "name": "Jakarta XML Binding™",
            "summary": "Jakarta XML Binding™ defines an API and tools that automate the mapping between XML documents and Java objects.",
            "url": "https://projects.eclipse.org/projects/ee4j.jaxb",
            "website_url": "https://github.com/eclipse-ee4j/jaxb-api",
            "website_repo": [],
            "logo": "https://projects.eclipse.org/sites/default/files/36201228_5.png",
            "tags": [],
            "github_repos": [
                {
                    "url": "https://github.com/jakartaee/jaxb-api"
                },
                {
                    "url": "https://github.com/jakartaee/jaxb-tck"
                }
            ],
            "github": {
                "org": "",
                "ignored_repos": []
            },
            "gitlab_repos": [],
            "gitlab": {
                "project_group": "",
                "ignored_sub_groups": []
            },
            "gerrit_repos": [],
            "contributors": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "committers": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "project_leads": [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            "working_groups": [
                {
                    "name": "Jakarta EE",
                    "id": "jakarta-ee"
                }
            ],
            "industry_collaborations": [
                {
                    "name": "Jakarta EE",
                    "id": "jakarta-ee"
                }
            ],
            "spec_project_working_group": {
                "name": "Jakarta EE",
                "id": "jakarta-ee"
            },
            "state": "Regular",
            "releases": [
                {
                    "name": "4.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.jaxb/releases/4.0"
                },
                {
                    "name": "3.0.1",
                    "url": "https://projects.eclipse.org/projects/ee4j.jaxb/releases/3.0.1"
                },
                {
                    "name": "3.0",
                    "url": "https://projects.eclipse.org/projects/ee4j.jaxb/releases/3.0"
                },
                {
                    "name": "2.3.3",
                    "url": "https://projects.eclipse.org/projects/ee4j.jaxb/releases/2.3.3"
                },
                {
                    "name": "2.3.2",
                    "url": "https://projects.eclipse.org/projects/ee4j.jaxb/releases/2.3.2"
                }
            ],
            "top_level_project": "ee4j",
            "slsa_level": ""
        },
    ]
};
exports.mockProposalsCategorizedByIndustryCollaboration = {
    adoptium: [
        {
            project_id: 'adoptium',
            short_project_id: 'adoptium',
            name: 'Eclipse Adoptium\u2122',
            summary: 'The mission of the Eclipse Adoptium Top-Level Project is to produce high-quality runtimes and associated technology for use within the Java ecosystem. \u00a0We achieve this through a set of Projects...',
            url: 'https://projects.eclipse.org/projects/adoptium',
            website_url: 'https://adoptium.net',
            website_repo: [],
            logo: 'https://projects.eclipse.org/sites/default/files/Logo_Adoptium_2021_03_08_JRR_RGB-V3C%20%281%29.png',
            tags: [],
            github_repos: [
                { url: 'https://github.com/adoptium/dash.adoptium.net' },
                { url: 'https://github.com/adoptium/blog.adoptium.net' },
                { url: 'https://github.com/adoptium/api.adoptium.net' },
                { url: 'https://github.com/adoptium/adoptium.net' },
                { url: 'https://github.com/adoptium/adoptium' },
                { url: 'https://github.com/adoptium/documentation-services' },
                { url: 'https://github.com/adoptium/documentation' },
            ],
            gitlab_repos: [],
            gitlab: { project_group: '', ignored_sub_groups: [] },
            gerrit_repos: [],
            contributors: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            committers: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            project_leads: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            working_groups: [{ name: 'Adoptium', id: 'adoptium' }],
            industry_collaborations: [{ name: 'Adoptium', id: 'adoptium' }],
            spec_project_working_group: [],
            state: 'Regular',
            releases: [],
            top_level_project: 'adoptium',
            slsa_level: '',
        },
    ],
    'jakarta-ee': [
        {
            project_id: 'ee4j.ca',
            short_project_id: 'ca',
            name: 'Jakarta Annotations™',
            summary: 'Jakarta Annotations™ defines a collection of annotations representing common semantic concepts that enable a declarative style of programming that applies across a variety of Java technologies.',
            url: 'https://projects.eclipse.org/projects/ee4j.ca',
            website_url: 'https://jakartaee.github.io/common-annotations-api/',
            website_repo: [],
            logo: 'https://projects.eclipse.org/sites/default/files/36201228_26.png',
            tags: [],
            github_repos: [
                {
                    url: 'https://github.com/jakartaee/common-annotations-api',
                },
            ],
            gitlab_repos: [],
            gitlab: {
                project_group: '',
                ignored_sub_groups: [],
            },
            gerrit_repos: [],
            contributors: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            committers: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            project_leads: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            working_groups: [
                {
                    name: 'Jakarta EE',
                    id: 'jakarta-ee',
                },
            ],
            industry_collaborations: [
                {
                    name: 'Jakarta EE',
                    id: 'jakarta-ee',
                },
            ],
            spec_project_working_group: {
                name: 'Jakarta EE',
                id: 'jakarta-ee',
            },
            state: 'Regular',
            releases: [
                {
                    name: '2.1.1',
                    url: 'https://projects.eclipse.org/projects/ee4j.ca/releases/2.1.1',
                },
                {
                    name: '2.1',
                    url: 'https://projects.eclipse.org/projects/ee4j.ca/releases/2.1',
                },
                {
                    name: '2.0.0',
                    url: 'https://projects.eclipse.org/projects/ee4j.ca/releases/2.0.0',
                },
                {
                    name: '1.3.5',
                    url: 'https://projects.eclipse.org/projects/ee4j.ca/releases/1.3.5',
                },
                {
                    name: '1.3.4',
                    url: 'https://projects.eclipse.org/projects/ee4j.ca/releases/1.3.4',
                },
            ],
            top_level_project: 'ee4j',
            slsa_level: '',
        },
        {
            project_id: 'ee4j.cdi',
            short_project_id: 'cdi',
            name: 'Jakarta Contexts and Dependency Injection™',
            summary: 'Jakarta Contexts and Dependency Injection™ defines a powerful set of complementary services that help to improve the structure of application code. A well-defined lifecycle for stateful objects...',
            url: 'https://projects.eclipse.org/projects/ee4j.cdi',
            website_url: 'http://cdi-spec.org/',
            website_repo: [],
            logo: 'https://projects.eclipse.org/sites/default/files/36201228_0.png',
            tags: [],
            github_repos: [
                {
                    url: 'https://github.com/eclipse-ee4j/injection-api',
                },
                {
                    url: 'https://github.com/eclipse-ee4j/injection-spec',
                },
                {
                    url: 'https://github.com/eclipse-ee4j/injection-tck',
                },
                {
                    url: 'https://github.com/jakartaee/cdi',
                },
                {
                    url: 'https://github.com/jakartaee/cdi-tck',
                },
                {
                    url: 'https://github.com/eclipse-ee4j/cdi-tck-cpl',
                },
                {
                    url: 'https://github.com/eclipse-ee4j/cdi-cpl',
                },
            ],
            gitlab_repos: [],
            gitlab: {
                project_group: '',
                ignored_sub_groups: [],
            },
            gerrit_repos: [],
            contributors: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            committers: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            project_leads: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            working_groups: [
                {
                    name: 'Jakarta EE',
                    id: 'jakarta-ee',
                },
            ],
            industry_collaborations: [
                {
                    name: 'Jakarta EE',
                    id: 'jakarta-ee',
                },
            ],
            spec_project_working_group: {
                name: 'Jakarta EE',
                id: 'jakarta-ee',
            },
            state: 'Regular',
            releases: [
                {
                    name: '4.0',
                    url: 'https://projects.eclipse.org/projects/ee4j.cdi/releases/4.0',
                },
                {
                    name: '3.0',
                    url: 'https://projects.eclipse.org/projects/ee4j.cdi/releases/3.0',
                },
                {
                    name: '2.0',
                    url: 'https://projects.eclipse.org/projects/ee4j.cdi/releases/2.0',
                },
            ],
            top_level_project: 'ee4j',
            slsa_level: '',
        },
        {
            project_id: 'ee4j.cu',
            short_project_id: 'cu',
            name: 'Jakarta Concurrency™',
            summary: 'Jakarta Concurrency™ provides a specification document, API and TCK for using concurrency from application components without compromising container integrity while still preserving the Jakarta EE...',
            url: 'https://projects.eclipse.org/projects/ee4j.cu',
            website_url: 'https://github.com/eclipse-ee4j/concurrency-api',
            website_repo: [],
            logo: 'https://projects.eclipse.org/sites/default/files/36201228_27.png',
            tags: [],
            github_repos: [
                {
                    url: 'https://github.com/jakartaee/concurrency',
                },
            ],
            gitlab_repos: [],
            gitlab: {
                project_group: '',
                ignored_sub_groups: [],
            },
            gerrit_repos: [],
            contributors: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            committers: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            project_leads: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            working_groups: [
                {
                    name: 'Jakarta EE',
                    id: 'jakarta-ee',
                },
            ],
            industry_collaborations: [
                {
                    name: 'Jakarta EE',
                    id: 'jakarta-ee',
                },
            ],
            spec_project_working_group: {
                name: 'Jakarta EE',
                id: 'jakarta-ee',
            },
            state: 'Regular',
            releases: [
                {
                    name: '3.0.1',
                    url: 'https://projects.eclipse.org/projects/ee4j.cu/releases/3.0.1',
                },
                {
                    name: '3.0',
                    url: 'https://projects.eclipse.org/projects/ee4j.cu/releases/3.0',
                },
                {
                    name: '2.0.0',
                    url: 'https://projects.eclipse.org/projects/ee4j.cu/releases/2.0.0',
                },
                {
                    name: '1.1.2',
                    url: 'https://projects.eclipse.org/projects/ee4j.cu/releases/1.1.2',
                },
                {
                    name: '1.1.1',
                    url: 'https://projects.eclipse.org/projects/ee4j.cu/releases/1.1.1',
                },
            ],
            top_level_project: 'ee4j',
            slsa_level: '',
        },
        {
            project_id: 'ee4j.ejb',
            short_project_id: 'ejb',
            name: 'Jakarta Enterprise Beans',
            summary: 'Jakarta Enterprise Beans is an architecture for the development and deployment of component-based business applications.',
            url: 'https://projects.eclipse.org/projects/ee4j.ejb',
            website_url: 'https://github.com/eclipse-ee4j/ejb-api',
            website_repo: [],
            logo: 'https://projects.eclipse.org/sites/default/files/36201228_14.png',
            tags: [],
            github_repos: [
                {
                    url: 'https://github.com/jakartaee/enterprise-beans',
                },
            ],
            gitlab_repos: [],
            gitlab: {
                project_group: '',
                ignored_sub_groups: [],
            },
            gerrit_repos: [],
            contributors: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            committers: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            project_leads: [
                {
                    username: 'username',
                    full_name: 'Full Name',
                    url: 'https://api.eclipse.org/account/profile/username',
                },
            ],
            working_groups: [
                {
                    name: 'Jakarta EE',
                    id: 'jakarta-ee',
                },
            ],
            industry_collaborations: [
                {
                    name: 'Jakarta EE',
                    id: 'jakarta-ee',
                },
            ],
            spec_project_working_group: {
                name: 'Jakarta EE',
                id: 'jakarta-ee',
            },
            state: 'Regular',
            releases: [
                {
                    name: '4.0',
                    url: 'https://projects.eclipse.org/projects/ee4j.ejb/releases/4.0',
                },
                {
                    name: '3.2.4',
                    url: 'https://projects.eclipse.org/projects/ee4j.ejb/releases/3.2.4',
                },
                {
                    name: '3.2.3',
                    url: 'https://projects.eclipse.org/projects/ee4j.ejb/releases/3.2.3',
                },
            ],
            top_level_project: 'ee4j',
            slsa_level: '',
        },
    ],
    'eclipse-software-defined-vehicle': []
};
exports.mockProposals = [
    ...exports.mockProposalsCategorizedByIndustryCollaboration.adoptium,
    ...exports.mockProposalsCategorizedByIndustryCollaboration['jakarta-ee'],
    ...exports.mockProposalsCategorizedByIndustryCollaboration['eclipse-software-defined-vehicle']
];
