"use strict";
/*!
 * Copyright (c) 2019, 2022, 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Eric Poirier <eric.poirier@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const adopters_mustache_1 = __importDefault(require("./templates/adopters.mustache"));
const eclipsefdn_adopters_1 = __importDefault(require("../api/eclipsefdn.adopters"));
const utils_1 = require("../utils/utils");
const render_template_1 = __importDefault(require("./templates/render-template"));
const defaultOptions = {
    srcRoot: 'https://api.eclipse.org/adopters',
    srcProjectPrefix: '/projects',
    workingGroup: '',
    templateId: 'default',
    logoWhite: false
};
const templates = {
    default: adopters_mustache_1.default
};
const EclipseFdnAdopters = () => __awaiter(void 0, void 0, void 0, function* () {
    const element = document.querySelector('.eclipsefdn-adopters');
    if (!element)
        return;
    const options = Object.assign(Object.assign({}, defaultOptions), element.dataset);
    const projects = yield (0, eclipsefdn_adopters_1.default)(options.workingGroup);
    const templateData = { projects, srcRoot: options.srcRoot, isWhiteLogo: options.logoWhite };
    yield (0, render_template_1.default)(element, templates, options.templateId, templateData);
    if (location.hash)
        (0, utils_1.scrollToAnchor)();
    return;
});
exports.default = new EclipseFdnAdopters();
