"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/*!
 * Copyright (c) 2020 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
const jquery_1 = __importDefault(require("jquery"));
const eclipseFdnScrollUp = (function ($, document) {
    // scroll button.
    $(window).on('load resize scroll', function () {
        if ($(window).width() < 1270) {
            $('.scrollup').hide();
            return false;
        }
        if ($(this).scrollTop() > 100) {
            $('.scrollup').fadeIn();
        }
        else {
            $('.scrollup').fadeOut();
        }
        if (window.HubSpotConversations && $('.scrollup').css('bottom') !== '100px') {
            $('.scrollup').css('bottom', '100px');
        }
        else if (!window.HubSpotConversations && $('.scrollup').css('bottom') !== '50px') {
            $('.scrollup').css('bottom', '50px');
        }
    });
    // scroll back to the top of the page.
    $('.scrollup').click(function () {
        $('html, body').animate({
            scrollTop: 0,
        }, 600);
        return false;
    });
})(jquery_1.default, document);
exports.default = eclipseFdnScrollUp;
