/*
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */

export const mockAdopters = [
  {
    adopters: [
      {
        homepage_url: 'https://www.sap.com',
        logo: 'logo-sap.png',
        logo_white: 'logo-sap-white.png',
        name: 'SAP',
      },
    ],
    logo: 'https://projects.eclipse.org/sites/default/files/egit.png',
    name: 'Eclipse EGit™: Git Integration for Eclipse',
    project_id: 'technology.egit',
    url: 'https://projects.eclipse.org/projects/technology.egit',
  },
  {
    adopters: [
      {
        homepage_url: 'https://www.sap.com',
        logo: 'logo-sap.png',
        logo_white: 'logo-sap-white.png',
        name: 'SAP',
      },
    ],
    logo: 'https://projects.eclipse.org/sites/default/files/jgit_0.png',
    name: 'Eclipse JGit™: Java implementation of Git',
    project_id: 'technology.jgit',
    url: 'https://projects.eclipse.org/projects/technology.jgit',
  },
  {
    adopters: [
      {
        homepage_url: 'https://www.sap.com',
        logo: 'logo-sap.png',
        logo_white: 'logo-sap-white.png',
        name: 'SAP',
      },
    ],
    logo: 'https://projects.eclipse.org/sites/all/themes/solstice/public/images/logo/default.png',
    name: 'Eclipse Memory Analyzer™',
    project_id: 'tools.mat',
    url: 'https://projects.eclipse.org/projects/tools.mat',
  },
];


export const mockAdoptersCategorizedByWorkingGroup = {
  'internet-things-iot': [
      {
        adopters: [
          {
            homepage_url: 'https://bosch-iot-suite.com',
            logo: 'logo-bosch.svg',
            logo_white: 'logo-bosch-white.svg',
            name: 'Bosch.IO',
          },
          {
            homepage_url: 'https://www.eclipse.org/hono/',
            logo: 'logo-hono.svg',
            logo_white: 'logo-hono-white.svg',
            name: 'Eclipse Hono project',
          },
          {
            homepage_url: 'https://www.eclipse.org/leshan/',
            logo: 'logo-leshan.svg',
            logo_white: 'logo-leshan-white.svg',
            name: 'Leshan',
          },
          {
            homepage_url: 'https://www.sierrawireless.com/',
            logo: 'logo-swir.svg',
            logo_white: 'logo-swir-white.svg',
            name: 'Sierra Wireless',
          },
          {
            homepage_url: 'https://thingsboard.io/',
            logo: 'logo-thingsboard.svg',
            logo_white: 'logo-thingsboard-white.svg',
            name: 'ThingsBoard',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/Cf_128.png',
        name: 'Eclipse Californium™ (Cf) CoAP Framework',
        project_id: 'iot.californium',
        url: 'https://projects.eclipse.org/projects/iot.californium',
      },
      {
        adopters: [
          {
            homepage_url: 'https://www.96boards.org/',
            logo: 'logo-96boards.png',
            logo_white: 'logo-96boards-white.png',
            name: '96Boards',
          },
          {
            homepage_url: 'https://www.aboverobotics.com/',
            logo: 'logo-above-robotices.png',
            logo_white: 'logo-above-robotices-white.png',
            name: 'Above Robotics',
          },
          {
            homepage_url: 'https://www.adlinktech.com',
            logo: 'logo-adlink.svg',
            logo_white: 'logo-adlink-white.png',
            name: 'ADLINK Technology',
          },
          {
            homepage_url: 'https://aliasrobotics.com/',
            logo: 'logo-alias.png',
            logo_white: 'logo-alias-white.png',
            name: 'Alias Robotics',
          },
          {
            homepage_url: 'https://amperecomputing.com/',
            logo: 'logo-amperecomputing.png',
            logo_white: 'logo-amperecomputing-white.png',
            name: 'Ampere Computing LLC.',
          },
          {
            homepage_url: 'https://www.apex.ai/',
            logo: 'logo-apexai.png',
            logo_white: 'logo-apexai-white.png',
            name: 'Apex.AI',
          },
          {
            homepage_url: 'https://www.arm.com/',
            logo: 'logo-arm.svg',
            logo_white: 'logo-arm-white.svg',
            name: 'Arm',
          },
          {
            homepage_url: 'http://www.autocore.ai/',
            logo: 'autocore-ai.png',
            logo_white: 'autocore-ai-white.png',
            name: 'AutoCore.ai',
          },
          {
            homepage_url: 'https://www.autoware.org/',
            logo: 'logo-autoware.png',
            logo_white: 'logo-autoware-white.png',
            name: 'Autoware Foundation',
          },
          {
            homepage_url: 'https://www.bosch.com',
            logo: 'logo-bosch.svg',
            logo_white: 'logo-bosch-white.svg',
            name: 'Bosch',
          },
          {
            homepage_url: 'http://boxrobotics.ai',
            logo: 'logo-box-robotics.png',
            logo_white: 'logo-box-robotics-white.png',
            name: 'Box Robotics, Inc.',
          },
          {
            homepage_url: 'https://brisa.tech',
            logo: 'logo-brisa.svg',
            logo_white: 'logo-brisa-white.svg',
            name: 'Brisa Robotica',
          },
          {
            homepage_url: 'https://eclipsesource.com/',
            logo: 'logo-es.svg',
            logo_white: 'logo-es-white.svg',
            name: 'EclipseSource',
          },
          {
            homepage_url: 'https://www.ekumenlabs.com/',
            logo: 'logo-ekumen.png',
            logo_white: 'logo-ekumen-white.png',
            name: 'Ekumen',
          },
          {
            homepage_url: 'https://f1tenth.org/',
            logo: 'logo-f1tenth.png',
            logo_white: 'logo-f1tenth-white.png',
            name: 'F1Tenth Autonomous Racing Community',
          },
          {
            homepage_url: 'https://www.farobottech.com/',
            logo: 'logo-farobot.png',
            logo_white: 'logo-farobot-white.png',
            name: 'FARobot',
          },
          {
            homepage_url: 'https://www.foxconn.com/en-us/',
            logo: 'logo-foxconn.png',
            logo_white: 'logo-foxconn-white.png',
            name: 'Foxconn',
          },
          {
            homepage_url: 'https://www.freedomrobotics.ai/',
            logo: 'logo-freedom-robotics.png',
            logo_white: 'logo-freedom-robotics-white.png',
            name: 'Freedom Robotics',
          },
          {
            homepage_url: 'https://www.gaiaplatform.io/',
            logo: 'logo-gaia.png',
            logo_white: 'logo-gaia-white.png',
            name: 'Gaia Platform',
          },
          {
            homepage_url: 'https://www.ghostrobotics.io/',
            logo: 'logo-ghostrobotics.png',
            logo_white: 'logo-ghostrobotics-white.png',
            name: 'Ghost Robotics',
          },
          {
            homepage_url: 'https://www.hadabot.com/',
            logo: 'logo-hadabot.png',
            logo_white: 'logo-hadabot-white.png',
            name: 'Hadabot',
          },
          {
            homepage_url: 'https://www.HawaiiAVTech.com',
            logo: 'logo-hawaiiavtech.png',
            logo_white: 'logo-hawaiiavtech-white.png',
            name: "Hawai'i - AVTech",
          },
          {
            homepage_url: 'https://husarion.com/',
            logo: 'logo-husarion.png',
            logo_white: 'logo-husarion-white.png',
            name: 'Husarion',
          },
          {
            homepage_url: 'https://husarnet.com/',
            logo: 'logo-husarnet.png',
            logo_white: 'logo-husarnet-white.png',
            name: 'Husarnet',
          },
          {
            homepage_url:
              'https://www.intel.com/content/www/us/en/internet-of-things/overview.html',
            logo: 'logo-intel.png',
            logo_white: 'logo-intel-white.png',
            name: 'Intel robotics project',
          },
          {
            homepage_url: 'https://www.itemis.com',
            logo: 'logo-itemis.png',
            logo_white: 'logo-itemis-white.png',
            name: 'itemis AG',
          },
          {
            homepage_url: 'http://www.kopernikusauto.com',
            logo: 'logo-kopernikus-auto.png',
            logo_white: 'logo-opernikus-auto-white.png',
            name: 'Kopernikus Automotive GmbH',
          },
          {
            homepage_url: 'https://www.lgsvlsimulator.com/',
            logo: 'logo-lg.png',
            logo_white: 'logo-lg-white.svg',
            name: 'LG Electronics, America R&D Lab',
          },
          {
            homepage_url: 'http://www.lightfleet.com',
            logo: 'logo-lightfleet.png',
            logo_white: 'logo-lightfleet-white.png',
            name: 'Lightfleet Corporation',
          },
          {
            homepage_url: 'https://mapless.ai',
            logo: 'logo-maplessai.svg',
            logo_white: 'logo-maplessai-white.svg',
            name: 'Mapless AI, Inc.',
          },
          {
            homepage_url: 'https://missionrobotics.us/',
            logo: 'logo-mission-robotics.svg',
            logo_white: 'logo-mission-robotics-white.svg',
            name: 'Mission Robotics Inc.',
          },
          {
            homepage_url: 'https://neweagle.net',
            logo: 'logo-neweagle.png',
            logo_white: 'logo-neweagle-white.png',
            name: 'New Eagle',
          },
          {
            homepage_url: 'https://www.openrobotics.org/',
            logo: 'logo-open-robotics.svg',
            logo_white: 'logo-open-robotics-white.svg',
            name: 'Open Robotics',
          },
          {
            homepage_url: 'https://openadx.eclipse.org/',
            logo: 'logo-openadx.png',
            logo_white: 'logo-openadx-white.svg',
            name: 'OpenADx',
          },
          {
            homepage_url: 'https://opencv.org/',
            logo: 'logo-opencv.png',
            logo_white: 'logo-opencv-white.png',
            name: 'OpenCV',
          },
          {
            homepage_url: 'https://www.kickstarter.com/projects/opencv/opencv-ai-kit',
            logo: 'logo-oak.svg',
            logo_white: 'logo-oak-white.svg',
            name: 'OpenCV AI Kit',
          },
          {
            homepage_url: 'https://www.otokar.com.tr/en',
            logo: 'logo-otokar.png',
            logo_white: 'logo-otokar-white.png',
            name: 'Otokar Automotive and Defence Industry',
          },
          {
            homepage_url: 'https://ouster.com/',
            logo: 'logo-ouster.png',
            logo_white: 'logo-ouster-white.png',
            name: 'Ouster',
          },
          {
            homepage_url: 'https://picknik.ai/',
            logo: 'logo-picknik.png',
            logo_white: 'logo-picknik-white.png',
            name: 'PickNik',
          },
          {
            homepage_url: 'https://www.rightbot.in',
            logo: 'logo-rightbot.png',
            logo_white: 'logo-rightbot-white.png',
            name: 'Rightbot',
          },
          {
            homepage_url: 'http://www.robotec.ai/',
            logo: 'logo-robotec.png',
            logo_white: 'logo-robotec-white.png',
            name: 'Robotec.ai',
          },
          {
            homepage_url: 'https://www.robotis.com/',
            logo: 'logo-robotis.png',
            logo_white: 'logo-robotis-white.png',
            name: 'ROBOTIS',
          },
          {
            homepage_url: 'http://www.roverrobotics.com',
            logo: 'logo-rover-robotics.png',
            logo_white: 'logo-rover-robotics-white.png',
            name: 'Rover Robotics',
          },
          {
            homepage_url: 'http://www.ryracing.com',
            logo: 'logo-ryracing.svg',
            logo_white: 'logo-ryracing-white.svg',
            name: 'RYRacing, LLC',
          },
          {
            homepage_url: 'https://saxion.nl/mechatronics',
            logo: 'logo-saxion.png',
            logo_white: 'logo-saxion-white.png',
            name: 'Saxion University of Applied Sciences / Mechatronics Research Group',
          },
          {
            homepage_url: 'https://www.seafloorsystems.com/',
            logo: 'logo-seafloor.png',
            logo_white: 'logo-seafloor-white.png',
            name: 'Seafloor Systems, Inc.',
          },
          {
            homepage_url: 'http://www.theconstruct.ai',
            logo: 'logo-construct.png',
            logo_white: 'logo-construct-white.png',
            name: 'The Construct',
          },
          {
            homepage_url: 'https://tier4.jp/en/',
            logo: 'logo-tier-iv.png',
            logo_white: 'logo-tier-iv-white.png',
            name: 'Tier IV',
          },
          {
            homepage_url: 'https://www.tractonomy.com',
            logo: 'logo-tractonomy-robotics.png',
            logo_white: 'logo-tractonomy-robotics-white.png',
            name: 'Tractonomy Robotics',
          },
          {
            homepage_url: 'http://www.trajektsports.com',
            logo: 'logo-trajekt-sports.svg',
            logo_white: 'logo-trajekt-sports-white.svg',
            name: 'Trajekt Sports Inc.',
          },
          {
            homepage_url: 'https://www.hawaii.edu/',
            logo: 'logo-university-hawaii.png',
            logo_white: 'logo-university-hawaii-white.png',
            name: 'University of Hawai`i',
          },
          {
            homepage_url: 'https://www.vector.com/int/en/',
            logo: 'logo-vector.png',
            logo_white: 'logo-vector-white.png',
            name: 'Vector',
          },
          {
            homepage_url: 'https://www.Vectoraero.com',
            logo: 'logo-vectoraero.png',
            logo_white: 'logo-vectoraero-white.png',
            name: 'VectorAero AVT',
          },
          {
            homepage_url: 'https://www.indyautonomouschallenge.com/warsaw-university-of-technology',
            logo: 'logo-wut-driverless.png',
            logo_white: 'logo-wut-driverless-white.png',
            name: 'WUT Driverless',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/Cyclone%2520-%2520icon.png',
        name: 'Eclipse Cyclone DDS™',
        project_id: 'iot.cyclonedds',
        url: 'https://projects.eclipse.org/projects/iot.cyclonedds',
      },
      {
        adopters: [
          {
            homepage_url: 'http://www.aloxy.io/',
            logo: 'logo-aloxy.svg',
            logo_white: 'logo-aloxy-white.svg',
            name: 'Aloxy',
          },
          {
            homepage_url: 'https://bosch-iot-suite.com',
            logo: 'logo-bosch.svg',
            logo_white: 'logo-bosch-white.svg',
            name: 'Bosch.IO',
          },
          {
            homepage_url: 'https://www.kiwigrid.com',
            logo: 'logo-kiwigrid.svg',
            logo_white: 'logo-kiwigrid-white.svg',
            name: 'Kiwigrid GmbH',
          },
          {
            homepage_url: 'https://othermo.de',
            logo: 'logo-othermo.svg',
            logo_white: 'logo-othermo-white.svg',
            name: 'othermo',
          },
          {
            homepage_url: 'https://pragmaticindustries.com/',
            logo: 'logo-pragmatic-industries.svg',
            logo_white: 'logo-pragmatic-industries-white.svg',
            name: 'pragmatic industries GmbH',
          },
          {
            homepage_url: 'https://pragmaticminds.de/',
            logo: 'logo-pragmatic-minds.svg',
            logo_white: 'logo-pragmatic-minds-white.svg',
            name: 'pragmatic minds GmbH',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/ditto.png',
        name: 'Eclipse Ditto™',
        project_id: 'iot.ditto',
        url: 'https://projects.eclipse.org/projects/iot.ditto',
      },
      {
        adopters: [
          {
            homepage_url: 'https://bosch-iot-suite.com',
            logo: 'logo-bosch.svg',
            logo_white: 'logo-bosch-white.svg',
            name: 'Bosch.IO',
          },
          {
            homepage_url: 'https://www.kiwigrid.com',
            logo: 'logo-kiwigrid.svg',
            logo_white: 'logo-kiwigrid-white.svg',
            name: 'Kiwigrid GmbH',
          },
          {
            homepage_url: 'http://kynetics.com',
            logo: 'logo-kynetics.png',
            logo_white: 'logo-kynetics-white.png',
            name: 'Kynetics',
          },
          {
            homepage_url: 'https://pragmaticindustries.com/',
            logo: 'logo-pragmatic-industries.svg',
            logo_white: 'logo-pragmatic-industries-white.svg',
            name: 'pragmatic industries GmbH',
          },
          {
            homepage_url: 'https://pragmaticminds.de/',
            logo: 'logo-pragmatic-minds.svg',
            logo_white: 'logo-pragmatic-minds-white.svg',
            name: 'pragmatic minds GmbH',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/hawkbit-200px.png',
        name: 'Eclipse hawkBit',
        project_id: 'iot.hawkbit',
        url: 'https://projects.eclipse.org/projects/iot.hawkbit',
      },
      {
        adopters: [
          {
            homepage_url: 'http://www.aloxy.io/',
            logo: 'logo-aloxy.svg',
            logo_white: 'logo-aloxy-white.svg',
            name: 'Aloxy',
          },
          {
            homepage_url: 'https://bosch-iot-suite.com',
            logo: 'logo-bosch.svg',
            logo_white: 'logo-bosch-white.svg',
            name: 'Bosch.IO',
          },
          {
            homepage_url: 'https://www.gambitcomm.com/',
            logo: 'logo-gambit-communications.png',
            logo_white: 'logo-gambit-communications-white.png',
            name: 'Gambit Communications',
          },
          {
            homepage_url: 'https://www.kiwigrid.com',
            logo: 'logo-kiwigrid.svg',
            logo_white: 'logo-kiwigrid-white.svg',
            name: 'Kiwigrid GmbH',
          },
          {
            homepage_url: 'https://developers.redhat.com',
            logo: 'Logo-RedHat-A-Color-RGB.svg',
            logo_white: 'Logo-RedHat-A-White-RGB.svg',
            name: 'Red Hat',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/HONO-Logo_Bild-Wort_quadrat-w-200x180px.png',
        name: 'Eclipse Hono™',
        project_id: 'iot.hono',
        url: 'https://projects.eclipse.org/projects/iot.hono',
      },
      {
        adopters: [
          {
            homepage_url:
              'https://www.contact-software.com/en/products/iot-platform-for-digital-business-models/',
            logo: 'logo-contactsoftware.png',
            logo_white: 'logo-contactsoftware-white.png',
            name: 'CONTACT Software',
          },
          {
            homepage_url: 'https://www.eurotech.com',
            logo: 'logo-eurotech.png',
            logo_white: '',
            name: 'Eurotech',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/kapua-200.png',
        name: 'Eclipse Kapua™',
        project_id: 'iot.kapua',
        url: 'https://projects.eclipse.org/projects/iot.kapua',
      },
      {
        adopters: [
          {
            homepage_url: 'https://bluebirdcorp.com/?lang=US',
            logo: 'logo-bluebird.png',
            logo_white: 'logo-bluebird-white.png',
            name: 'Bluebird',
          },
          {
            homepage_url: 'https://calypsonet.org/keyple-resources/',
            logo: 'logo-calypsonet.png',
            logo_white: '',
            name: 'Calypso Networks Association',
          },
          {
            homepage_url:
              'https://www.coppernic.fr/coppernicactus/coppernic-au-meetup-sdk-eclipse-keyple/',
            logo: 'logo-coppernic.png',
            logo_white: 'logo-coppernic-white.png',
            name: 'Coppernic',
          },
          {
            homepage_url: 'https://cts-strasbourg.eu/en/',
            logo: 'logo-cts.png',
            logo_white: '',
            name: 'CTS',
          },
          {
            homepage_url: 'https://www.famoco.com/',
            logo: 'logo-famoco.png',
            logo_white: 'logo-famoco-white.png',
            name: 'Famoco',
          },
          {
            homepage_url: 'https://www.flowbird.group/',
            logo: 'logo-flowbird.png',
            logo_white: 'logo-flowbird-white.png',
            name: 'Flowbird',
          },
          {
            homepage_url: 'https://www.iledefrance-mobilites.fr/',
            logo: 'logo-ile-de-france-mobilites.png',
            logo_white: 'logo-ile-de-france-mobilites-white.png',
            name: 'Ile-de-France Mobilités',
          },
          {
            homepage_url: 'https://odalid.com/',
            logo: 'logo-odalid.png',
            logo_white: 'logo-odalid-white.png',
            name: 'ODALID',
          },
          {
            homepage_url: 'https://onewave.io/transport',
            logo: 'logo-onewave.png',
            logo_white: 'logo-onewave-white.png',
            name: 'OneWave',
          },
          {
            homepage_url: 'https://www.ratpsmartsystems.com',
            logo: 'logo-ratp-smart-systems.png',
            logo_white: 'logo-ratp-smart-systems-white.png',
            name: 'RATP Smart Systems',
          },
          {
            homepage_url: 'https://www.sncf.com/fr',
            logo: 'logo-sncf.png',
            logo_white: 'logo-sncf-white.png',
            name: 'SNCF',
          },
          {
            homepage_url: 'https://www.soprasteria.com/',
            logo: 'logo-soprasteria.svg',
            logo_white: 'logo-soprasteria-white.png',
            name: 'SopraSteria',
          },
          {
            homepage_url: 'https://spirtech.com/',
            logo: 'logo-spirtech.png',
            logo_white: 'logo-spirtech-white.png',
            name: 'Spirtech',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/keyple.png',
        name: 'Eclipse Keyple®',
        project_id: 'iot.keyple',
        url: 'https://projects.eclipse.org/projects/iot.keyple',
      },
      {
        adopters: [
          {
            homepage_url:
              'https://www.contact-software.com/en/products/iot-platform-for-digital-business-models/',
            logo: 'logo-contactsoftware.png',
            logo_white: 'logo-contactsoftware-white.png',
            name: 'CONTACT Software',
          },
          {
            homepage_url: 'https://www.eurotech.com',
            logo: 'logo-eurotech.png',
            logo_white: '',
            name: 'Eurotech',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/kura_logo_small.png',
        name: 'Eclipse Kura™',
        project_id: 'iot.kura',
        url: 'https://projects.eclipse.org/projects/iot.kura',
      },
      {
        adopters: [
          {
            homepage_url: 'https://bosch-iot-suite.com',
            logo: 'logo-bosch.svg',
            logo_white: 'logo-bosch-white.svg',
            name: 'Bosch.IO',
          },
          {
            homepage_url: 'https://www.softwareag.cloud/site/product/cumulocity-iot.html',
            logo: 'logo-cumulocity-by-softwareag.svg',
            logo_white: 'logo-cumulocity-by-softwareag-white.svg',
            name: 'Cumulocity IoT by Software AG',
          },
          {
            homepage_url: 'https://www.ericsson.com/en/networks/offerings/cellular-iot',
            logo: 'logo-ericsson.svg',
            logo_white: 'logo-ericsson-white.svg',
            name: 'Ericsson',
          },
          {
            homepage_url: 'https://www.iot-lab.info/',
            logo: 'logo-iotlab.svg',
            logo_white: 'logo-iotlab-white.svg',
            name: 'FIT IoT-Lab',
          },
          {
            homepage_url: 'https://www.orange.com/',
            logo: 'logo-orange.png',
            logo_white: 'logo-orange-white.png',
            name: 'Orange',
          },
          {
            homepage_url: 'https://www.ri.se',
            logo: 'logo-rise.svg',
            logo_white: 'logo-rise-white.svg',
            name: 'RISE',
          },
          {
            homepage_url: 'https://www.sierrawireless.com/',
            logo: 'logo-swir.svg',
            logo_white: 'logo-swir-white.svg',
            name: 'Sierra Wireless',
          },
          {
            homepage_url: 'https://www.soracom.io/',
            logo: 'logo-soracom.svg',
            logo_white: 'logo-soracom-white.svg',
            name: 'Soracom',
          },
          {
            homepage_url: 'https://thingsboard.io/',
            logo: 'logo-thingsboard.svg',
            logo_white: 'logo-thingsboard-white.svg',
            name: 'ThingsBoard',
          },
          {
            homepage_url: 'https://thingspace.verizon.com/',
            logo: 'logo-verizon.svg',
            logo_white: 'logo-verizon-white.svg',
            name: 'Verizon',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/leshan.png',
        name: 'Eclipse Leshan™',
        project_id: 'iot.leshan',
        url: 'https://projects.eclipse.org/projects/iot.leshan',
      },
      {
        adopters: [
          {
            homepage_url: 'https://www.boschrexroth.com/',
            logo: 'logo-bosch-rexroth-ag.png',
            logo_white: 'logo-bosch-rexroth-ag-white.png',
            name: 'Bosch Rexroth AG',
          },
          {
            homepage_url: 'https://www.cassens.com/',
            logo: 'logo-cassens.png',
            logo_white: 'logo-cassens-white.png',
            name: 'Cassens',
          },
          {
            homepage_url: 'http://www.cedalo.com/',
            logo: 'logo-cedaloag.png',
            logo_white: 'logo-cedaloag-white.png',
            name: 'Cedalo AG',
          },
          {
            homepage_url: 'https://www.getstokt.com/',
            logo: 'logo-eckl-electric.png',
            logo_white: 'logo-eckl-electric-white.png',
            name: 'Eckl Electric',
          },
          {
            homepage_url: 'https://entiros.se/',
            logo: 'logo-entiros.png',
            logo_white: 'logo-entiros-white.png',
            name: 'Entiros',
          },
          {
            homepage_url: 'https://etactica.com/',
            logo: 'logo-etactica.svg',
            logo_white: 'logo-etactica-white.svg',
            name: 'eTactica',
          },
          {
            homepage_url: 'https://fivecomm.eu/',
            logo: 'logo-fivecomm.png',
            logo_white: 'logo-fivecomm-white.png',
            name: 'Fivecomm',
          },
          {
            homepage_url: 'https://innerspace.io/',
            logo: 'logo-innerspace.png',
            logo_white: 'logo-innerspace-white.png',
            name: 'InnerSpace',
          },
          {
            homepage_url: 'https://www.iotnxt.com/',
            logo: 'logo-iot-nxt.png',
            logo_white: 'logo-iot-nxt-white.png',
            name: 'IoT.nxt',
          },
          {
            homepage_url: 'https://www.sierrawireless.com/',
            logo: 'logo-swir.svg',
            logo_white: 'logo-swir-white.svg',
            name: 'Sierra Wireless',
          },
          {
            homepage_url: 'https://www.getstokt.com/',
            logo: 'logo-stokt.svg',
            logo_white: 'logo-stokt-white.svg',
            name: 'Stokt',
          },
          {
            homepage_url: 'https://cedalo.com/products/streamsheets/',
            logo: 'logo-streamsheets.png',
            logo_white: 'logo-streamsheets-white.png',
            name: 'Streamsheets',
          },
          {
            homepage_url: 'https://www.usgs.gov/natural-hazards/volcano-hazards/',
            logo: 'logo-usgs.svg',
            logo_white: 'logo-usgs-white.svg',
            name: 'USGS Volcano Hazards Program',
          },
        ],
        logo: 'https://projects.eclipse.org/sites/default/files/mosquitto-200px.png',
        name: 'Eclipse Mosquitto™',
        project_id: 'iot.mosquitto',
        url: 'https://projects.eclipse.org/projects/iot.mosquitto',
      },
    ],
};
